<template>
  <button class="py-2 px-3 btn btn-secondary border-0 font-weight-bold"
          @click="login"
           v-if="!$auth.isAuthenticated">
    <!-- <icon name="log_in" color="white" hoverColor="--brain_main" class="mr-2"/> -->
    {{ message || 'Sign in' }}
  </button>

  <button v-else-if="withSignOut"
          class="sign-out py-2 px-3 btn btn-secondary font-weight-bold"
          @click="logout">
    Sign out
  </button>

  <button class="py-2 px-3 btn btn-secondary font-weight-bold"
          v-else
          disabled>
    You already signed in
  </button>
</template>

<script>
// import Icon from '@/components/Icon'

export default {
  name: 'login-button',
  components: { },
  props: ['message', 'withSignOut'],
  methods: {
    login () {
      this.$auth.loginWithRedirect()
    },
    logout () {
      this.$auth.logout()
    }
  }
}
</script>

<style scoped lang="scss">
.sign-out {
  background-color: #6c757d !important;

  &:hover {
    background-color: #5A6268 !important;
  }
}
</style>
